//
//  View.swift
//  Picker
//
//  Created by Mark Meretzky on 1/24/15.
//  Copyright (c) 2015 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {

	init(viewController: ViewController) {
		// Initialization code
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.greenColor();
		
		let pickerView: UIPickerView = UIPickerView(frame: CGRectZero);
		pickerView.backgroundColor = UIColor.whiteColor();
		pickerView.showsSelectionIndicator = true;	//was a plastic plastic shield
		pickerView.dataSource = viewController;
		pickerView.delegate = viewController;
		
		//Put the picker view at the center of this View.
		pickerView.center = center;
		
		//Keep the picker view at the center of this View,
		//even if the size of this View changes.
		
		pickerView.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;
		addSubview(pickerView);
		
		println("pickerView.frame = \(pickerView.frame)");
	}

	//Never called.
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
